ti-enxame.com

0 fsockopen (): Não foi possível encontrar o transporte de soquete "ssl"

Eu tenho o Joomla 3.3.1 no host local, estou tentando instalar o "Akeeba Backup" a partir do (instale da web sob o Gerenciador de extensão) e estou recebendo este erro. **

screenshot

Tentei não baixar e fazer upload do arquivo .Zip para o gerenciador de extensões. Quero resolver esse problema.

2
Elhamy

Como indica a mensagem de erro, talvez você não tenha ativado o SSL em seus php.ini Arquivo.

Se você estiver usando algo como Xampp, provavelmente precisará remover o comentário de pelo menos duas linhas no php.ini Arquivo. O primeiro a verificar é o diretório de extensão (extension_dir=) e o segundo será para a extensão SSL ``.

A seção de diretório em php.ini fica assim, na minha máquina de desenvolvimento:

; Directory in which the loadable extensions (modules) reside.
; http://php.net/extension-dir
; extension_dir = "./"
extension_dir = "/usr/lib/php/extensions/no-debug-non-zts-20100525/"
; On windows:
; extension_dir = "ext"

Você pode ver que há uma referência específica para o diretório de extensão no Windows que pode ser necessário remover o comentário.

As referências às extensões acutais estão mais abaixo em uma seção chamada Dynamic Extensions por exemplo. Aqui está a seção relevante do meu desenvolvedor. php.ini Arquivo.

;;;;;;;;;;;;;;;;;;;;;;
; Dynamic Extensions ;
;;;;;;;;;;;;;;;;;;;;;;

; If you wish to have an extension loaded automatically, use the following
; syntax:
;
;   extension=modulename.extension
;
; For example, on Windows:
;
;   extension=msql.dll
;
; ... or under UNIX:
;
;   extension=msql.so
;
; ... or with a path:
;
;   extension=/path/to/extension/msql.so
;

Mais abaixo nesse bloco está o Windows Extensions seção que possui:

;extension=php_openssl.dll

Lembre-se de duas coisas:

  1. faça um backup do seu php.ini primeiro, caso você faça algo do qual não possa se recuperar.
  2. você precisará reiniciar o Apache depois de fazer alterações no php.ini
1
Craig